#pragma once

#include <Windows.h>

#include "GameGraphics.h"
#include "GameStateManager.h"

class GameWindow
{
public:
	GameWindow(void);
	~GameWindow(void);

public:
	void RunningOn();

	GameGraphics& GetGraphics();
	GameStateManager& GetStateManager();

	bool IsKeyDown(DWORD vkey);

	void Close();

private:
	static LRESULT CALLBACK WndProc(HWND, UINT, WPARAM, LPARAM);

private:
	HWND m_hWnd;
	HINSTANCE m_hInstance;
	GameGraphics m_gameGraphics;
	GameStateManager m_gameStateManager;
};